#pragma once

#include <windows.h>
#include <mmsystem.h>
#include "aviutl_sdk/input.h"
#include "common.h"

namespace ruche {
namespace aviutl {
namespace plugins
{
    // ̓vOCC^tF[X擾邽߂API֐^B
    typedef INPUT_PLUGIN_TABLE* (CALLBACK* Func_GetInputPluginTable)();

    // ̓T|[g^Cv\񋓃tOlB
    [System::Flags]
    public enum class InputFlags
    {
        // 摜͂T|[gB
        Video = INPUT_PLUGIN_FLAG_VIDEO,

        // ͂T|[gB
        Audio = INPUT_PLUGIN_FLAG_AUDIO,
    };

    // fBA̓̓^Cv\񋓃tOlB
    [System::Flags]
    public enum class InputMediaFlags
    {
        // 摜͂B
        Video = INPUT_INFO_FLAG_VIDEO,

        // ͂B
        Audio = INPUT_INFO_FLAG_AUDIO,
    };

    // ͂rfIt[̏\񋓃tOlB
    [System::Flags]
    public enum class InputVideoFrameFlags
    {
        // tO
        None = 0,

        // L[t[
        KeyFrame = 1 << 0,
    };
}
}}
